vn.py量化社区
By Traders, For Traders.
Member
avatar
加入于:
帖子: 4
声望: 0

今天新安装一个环境,先安装了python3.8.5, 然后下载安装了vc++x86的和64的, 然后手动安装了ta-lib。 然后vnpy2.1.4顺利install.bat完毕。但是启动脚本的时候遇到以下错误,重启无效。

请各位知道原因的指教一下!

Traceback (most recent call last):
File "run_test.py", line 1, in <module>
from vnpy.gateway.ctp import CtpGateway
File "C:\Users\Leo\AppData\Local\Programs\Python\Python38\lib\site-packages\vnpy\gateway\ctp__init.py", line 1, in <module>
from .ctp_gateway import CtpGateway
File "C:\Users\Leo\AppData\Local\Programs\Python\Python38\lib\site-packages\vnpy\gateway\ctp\ctp_gateway.py", line 9, in <module>
from vnpy.api.ctp import (
File "C:\Users\Leo\AppData\Local\Programs\Python\Python38\lib\site-packages\vnpy\api\ctp\
init__.py", line 1, in <module>
from .vnctpmd import MdApi
ImportError: DLL load failed while importing vnctpmd: 找不到指定的模块。

Member
avatar
加入于:
帖子: 4
声望: 0

问题解决了。 发现github页面有提到必须用python3.7! 于是删掉3.8重新来了一遍,于是没问题了。

© 2015-2019 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号-3